﻿using Connected.Annotations;
using Connected.Utilities;
using Microsoft.AspNetCore.Components;

namespace Connected.Components;
public partial class DrawerHeader : UIComponent
{
	protected string Classname =>
	new CssBuilder("mud-drawer-header")
		.AddClass($"mud-drawer-header-dense", Dense)
	  .AddClass(Class)
	.Build();

	/// <summary>
	/// If true, compact padding will be used, same as the Appbar.
	/// </summary>
	[Parameter]
	[Category(CategoryTypes.Drawer.Appearance)]
	public bool Dense { get; set; }

	/// <summary>
	/// Child content of component.
	/// </summary>
	[Parameter]
	[Category(CategoryTypes.Drawer.Behavior)]
	public RenderFragment ChildContent { get; set; }

	/// <summary>
	/// If true, the component will link to index page with an a element instead of div.
	/// </summary>
	[Parameter]
	[Category(CategoryTypes.Drawer.Behavior)]
	public bool LinkToIndex { get; set; }
}
